<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
Serialized Form
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Serialized Form";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?serialized-form.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="serialized-form.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H1>
Serialized Form</H1>
</CENTER>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.factory</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.factory.ConfigException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ch.javasoft.factory.ConfigException</A> extends <A HREF="ch/javasoft/factory/FactoryException.html" title="class in ch.javasoft.factory">FactoryException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>6906838910552837071L

<P>

<P>
<A NAME="ch.javasoft.factory.FactoryException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/factory/FactoryException.html" title="class in ch.javasoft.factory">ch.javasoft.factory.FactoryException</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Exception.html" title="class or interface in java.lang">Exception</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>7754139544230521774L

<P>

<P>
<A NAME="ch.javasoft.factory.FactoryNotFoundException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">ch.javasoft.factory.FactoryNotFoundException</A> extends <A HREF="ch/javasoft/factory/FactoryException.html" title="class in ch.javasoft.factory">FactoryException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>6608368173860671208L

<P>

<P>
<A NAME="ch.javasoft.factory.IllegalFactoryException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">ch.javasoft.factory.IllegalFactoryException</A> extends <A HREF="ch/javasoft/factory/FactoryException.html" title="class in ch.javasoft.factory">FactoryException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-3761123181507700080L

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.jbase.util</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.jbase.util.UnsupportedOperationException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/jbase/util/UnsupportedOperationException.html" title="class in ch.javasoft.jbase.util">ch.javasoft.jbase.util.UnsupportedOperationException</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-1611658243538306294L

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.job</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.job.ExecException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/job/ExecException.html" title="class in ch.javasoft.job">ch.javasoft.job.ExecException</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Exception.html" title="class or interface in java.lang">Exception</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>

<P>
<A NAME="ch.javasoft.job.ExitValueException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/job/ExitValueException.html" title="class in ch.javasoft.job">ch.javasoft.job.ExitValueException</A> extends <A HREF="ch/javasoft/job/ExecException.html" title="class in ch.javasoft.job">ExecException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mExitValue</H3>
<PRE>
int <B>mExitValue</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.job.StdErrNonEmptyException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/job/StdErrNonEmptyException.html" title="class in ch.javasoft.job">ch.javasoft.job.StdErrNonEmptyException</A> extends <A HREF="ch/javasoft/job/ExecException.html" title="class in ch.javasoft.job">ExecException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mStdOut</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>mStdOut</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
mStdErr</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>mStdErr</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.job.UncaughtJobTerminationHandlerException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/job/UncaughtJobTerminationHandlerException.html" title="class in ch.javasoft.job">ch.javasoft.job.UncaughtJobTerminationHandlerException</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/RuntimeException.html" title="class or interface in java.lang">RuntimeException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.math</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.math.BigFraction"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">ch.javasoft.math.BigFraction</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1744509112026609387L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mNumerator</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <B>mNumerator</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
mDenominator</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <B>mDenominator</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.math.varint</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.math.varint.BigIntegerVarInt"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/math/varint/BigIntegerVarInt.html" title="class in ch.javasoft.math.varint">ch.javasoft.math.varint.BigIntegerVarInt</A> extends <A HREF="ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>822046479881991852L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
value</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <B>value</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.math.varint.IntVarInt"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/math/varint/IntVarInt.html" title="class in ch.javasoft.math.varint">ch.javasoft.math.varint.IntVarInt</A> extends <A HREF="ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-3452554456179800083L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
value</H3>
<PRE>
int <B>value</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.math.varint.LongVarInt"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/math/varint/LongVarInt.html" title="class in ch.javasoft.math.varint">ch.javasoft.math.varint.LongVarInt</A> extends <A HREF="ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>6391220448955407010L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
value</H3>
<PRE>
long <B>value</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.math.varint.VarIntNumber"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">ch.javasoft.math.varint.VarIntNumber</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-2250528652440794726L

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.metabolic.compress.config</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.metabolic.compress.config.XmlConfigException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/metabolic/compress/config/XmlConfigException.html" title="class in ch.javasoft.metabolic.compress.config">ch.javasoft.metabolic.compress.config.XmlConfigException</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Exception.html" title="class or interface in java.lang">Exception</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>3379118747778473759L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mNode</H3>
<PRE>
org.dom4j.Node <B>mNode</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.metabolic.efm.borndie.debug</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.metabolic.efm.borndie.debug.DebuggerTableCellRenderer"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/metabolic/efm/borndie/debug/DebuggerTableCellRenderer.html" title="class in ch.javasoft.metabolic.efm.borndie.debug">ch.javasoft.metabolic.efm.borndie.debug.DebuggerTableCellRenderer</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/javax/swing/JLabel.html" title="class or interface in javax.swing">JLabel</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
controller</H3>
<PRE>
<A HREF="ch/javasoft/metabolic/efm/borndie/BornDieController.html" title="class in ch.javasoft.metabolic.efm.borndie">BornDieController</A>&lt;<A HREF="ch/javasoft/metabolic/efm/borndie/BornDieController.html" title="type parameter in BornDieController">Col</A> extends <A HREF="ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; <B>controller</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
unselectedForeground</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Color.html" title="class or interface in java.awt">Color</A> <B>unselectedForeground</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
unselectedBackground</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Color.html" title="class or interface in java.awt">Color</A> <B>unselectedBackground</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.metabolic.efm.borndie.debug.DebuggerTableCellRenderer.UIResource"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/metabolic/efm/borndie/debug/DebuggerTableCellRenderer.UIResource.html" title="class in ch.javasoft.metabolic.efm.borndie.debug">ch.javasoft.metabolic.efm.borndie.debug.DebuggerTableCellRenderer.UIResource</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/javax/swing/table/DefaultTableCellRenderer.html" title="class or interface in javax.swing.table">DefaultTableCellRenderer</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.metabolic.efm.borndie.job</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.metabolic.efm.borndie.job.JobFailedException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/metabolic/efm/borndie/job/JobFailedException.html" title="class in ch.javasoft.metabolic.efm.borndie.job">ch.javasoft.metabolic.efm.borndie.job.JobFailedException</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/RuntimeException.html" title="class or interface in java.lang">RuntimeException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.metabolic.efm.model.nullspace</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.metabolic.efm.model.nullspace.CannotReconstructFluxException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/metabolic/efm/model/nullspace/CannotReconstructFluxException.html" title="class in ch.javasoft.metabolic.efm.model.nullspace">ch.javasoft.metabolic.efm.model.nullspace.CannotReconstructFluxException</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/RuntimeException.html" title="class or interface in java.lang">RuntimeException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mColumn</H3>
<PRE>
<A HREF="ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A> <B>mColumn</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
mNullspace</H3>
<PRE>
<A HREF="ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="ch/javasoft/smx/iface/ReadableMatrix.html" title="type parameter in ReadableMatrix">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt; <B>mNullspace</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.smx.exception</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.smx.exception.SingularMatrixException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/smx/exception/SingularMatrixException.html" title="class in ch.javasoft.smx.exception">ch.javasoft.smx.exception.SingularMatrixException</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang">ArithmeticException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>3257844385499330870L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mDependantRow</H3>
<PRE>
int <B>mDependantRow</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.util</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.util.ByteArray"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/ByteArray.html" title="class in ch.javasoft.util">ch.javasoft.util.ByteArray</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>6523901146842278626L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mLength</H3>
<PRE>
int <B>mLength</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
mArray</H3>
<PRE>
byte[] <B>mArray</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.DoubleArray"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/DoubleArray.html" title="class in ch.javasoft.util">ch.javasoft.util.DoubleArray</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-7460755602011341106L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mLength</H3>
<PRE>
int <B>mLength</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
mArray</H3>
<PRE>
double[] <B>mArray</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.IntArray"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/IntArray.html" title="class in ch.javasoft.util">ch.javasoft.util.IntArray</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>7927213642550265076L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mLength</H3>
<PRE>
int <B>mLength</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
mArray</H3>
<PRE>
int[] <B>mArray</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.LongArray"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/LongArray.html" title="class in ch.javasoft.util">ch.javasoft.util.LongArray</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-6834648328678223225L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mLength</H3>
<PRE>
int <B>mLength</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
mArray</H3>
<PRE>
long[] <B>mArray</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.util.ints</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.util.ints.BitSetIntSet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/ints/BitSetIntSet.html" title="class in ch.javasoft.util.ints">ch.javasoft.util.ints.BitSetIntSet</A> extends <A HREF="ch/javasoft/util/ints/AbstractSortedIntSet.html" title="class in ch.javasoft.util.ints">AbstractSortedIntSet</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1418206509682222060L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
set</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util">BitSet</A> <B>set</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.ints.DefaultIntIntMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/ints/DefaultIntIntMap.html" title="class in ch.javasoft.util.ints">ch.javasoft.util.ints.DefaultIntIntMap</A> extends <A HREF="ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-2304981943154788232L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
keys</H3>
<PRE>
<A HREF="ch/javasoft/util/IntArray.html" title="class in ch.javasoft.util">IntArray</A> <B>keys</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
vals</H3>
<PRE>
<A HREF="ch/javasoft/util/IntArray.html" title="class in ch.javasoft.util">IntArray</A> <B>vals</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.ints.DefaultIntList"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints">ch.javasoft.util.ints.DefaultIntList</A> extends <A HREF="ch/javasoft/util/ints/AbstractIntList.html" title="class in ch.javasoft.util.ints">AbstractIntList</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-4806359511537837653L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
array</H3>
<PRE>
<A HREF="ch/javasoft/util/IntArray.html" title="class in ch.javasoft.util">IntArray</A> <B>array</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.ints.DefaultIntSet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/ints/DefaultIntSet.html" title="class in ch.javasoft.util.ints">ch.javasoft.util.ints.DefaultIntSet</A> extends <A HREF="ch/javasoft/util/ints/AbstractSortedIntSet.html" title="class in ch.javasoft.util.ints">AbstractSortedIntSet</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-2690840135359345024L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
values</H3>
<PRE>
<A HREF="ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints">DefaultIntList</A> <B>values</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.ints.IntHashMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/ints/IntHashMap.html" title="class in ch.javasoft.util.ints">ch.javasoft.util.ints.IntHashMap</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-4555851201703297629L

<P>
<A NAME="serialized_methods"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialization Methods</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="readObject(java.io.ObjectInputStream)"><!-- --></A><H3>
readObject</H3>
<PRE>
private void <A HREF="src-html/ch/javasoft/util/ints/IntHashMap.html#line.1363"><B>readObject</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/ObjectInputStream.html" title="class or interface in java.io">ObjectInputStream</A>&nbsp;s)
                 throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A>,
                        <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassNotFoundException.html" title="class or interface in java.lang">ClassNotFoundException</A></PRE>
<DL>
<DD>Reconstitute the <tt>IntHashMap</tt> instance from a stream (i.e.,
 deserialize it).
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassNotFoundException.html" title="class or interface in java.lang">ClassNotFoundException</A></CODE></DD>
</DL>
</DL>
<HR>
<A NAME="writeObject(java.io.ObjectOutputStream)"><!-- --></A><H3>
writeObject</H3>
<PRE>
private void <A HREF="src-html/ch/javasoft/util/ints/IntHashMap.html#line.1337"><B>writeObject</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/ObjectOutputStream.html" title="class or interface in java.io">ObjectOutputStream</A>&nbsp;s)
                  throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Save the state of the <tt>IntHashMap</tt> instance to a stream (i.e.,
 serialize it).
<P>
<DD><DL>
<DT><B>Serial Data:</B></DT>
  <DD>The <i>capacity</i> of the IntHashMap (the length of the
                   bucket array) is emitted (int), followed  by the
                   <i>size</i> of the IntHashMap (the number of key-value
                   mappings), followed by the key (Object) and value (Object)
                   for each key-value mapping represented by the IntHashMap
             The key-value mappings are emitted in the order that they
             are returned by <tt>entrySet().iterator()</tt>.</DD>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DD>
</DL>
</DL>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
threshold</H3>
<PRE>
int <B>threshold</B></PRE>
<DL>
<DD>The next size value at which to resize (capacity * load factor).
<P>
<DT><DD>&nbsp;<DL>
</DL>
</DL>
<HR>
<H3>
loadFactor</H3>
<PRE>
float <B>loadFactor</B></PRE>
<DL>
<DD>The load factor for the hash table.
<P>
<DT><DD>&nbsp;<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.ints.KeyRangeIntIntMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/ints/KeyRangeIntIntMap.html" title="class in ch.javasoft.util.ints">ch.javasoft.util.ints.KeyRangeIntIntMap</A> extends <A HREF="ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-9111876887151093531L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mapping</H3>
<PRE>
int[] <B>mapping</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.ints.RangeIntSet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/ints/RangeIntSet.html" title="class in ch.javasoft.util.ints">ch.javasoft.util.ints.RangeIntSet</A> extends <A HREF="ch/javasoft/util/ints/AbstractSortedIntSet.html" title="class in ch.javasoft.util.ints">AbstractSortedIntSet</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>7872346283483103840L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
start</H3>
<PRE>
int <B>start</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
end</H3>
<PRE>
int <B>end</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.util.map</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.util.map.DefaultIntIntMultiValueMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map">ch.javasoft.util.map.DefaultIntIntMultiValueMap</A> extends <A HREF="ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMutableMultiValueMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt; implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-93905570980186647L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
map</H3>
<PRE>
<A HREF="ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;<A HREF="ch/javasoft/util/ints/IntMap.html" title="type parameter in IntMap">V</A>&gt; <B>map</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.map.DefaultMultiValueMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/map/DefaultMultiValueMap.html" title="class in ch.javasoft.util.map">ch.javasoft.util.map.DefaultMultiValueMap</A> extends <A HREF="ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMutableMultiValueMap</A>&lt;<A HREF="ch/javasoft/util/map/DefaultMultiValueMap.html" title="type parameter in DefaultMultiValueMap">K</A>,<A HREF="ch/javasoft/util/map/DefaultMultiValueMap.html" title="type parameter in DefaultMultiValueMap">V</A>&gt; implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>8019175851546861383L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
map</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">K</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">V</A>&gt; <B>map</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.map.JoinedMultiValueMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map">ch.javasoft.util.map.JoinedMultiValueMap</A> extends <A HREF="ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="ch/javasoft/util/map/JoinedMultiValueMap.html" title="type parameter in JoinedMultiValueMap">K</A>,<A HREF="ch/javasoft/util/map/JoinedMultiValueMap.html" title="type parameter in JoinedMultiValueMap">V</A>&gt; implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>7319560387222766983L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
one</H3>
<PRE>
<A HREF="ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,<A HREF="ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt; <B>one</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
many</H3>
<PRE>
<A HREF="ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,<A HREF="ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt; <B>many</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.util.map.SingleValueMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/util/map/SingleValueMap.html" title="class in ch.javasoft.util.map">ch.javasoft.util.map.SingleValueMap</A> extends <A HREF="ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>&lt;<A HREF="ch/javasoft/util/map/SingleValueMap.html" title="type parameter in SingleValueMap">K</A>,<A HREF="ch/javasoft/util/map/SingleValueMap.html" title="type parameter in SingleValueMap">V</A>&gt; implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>3091457636828431277L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
map</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">K</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">V</A>&gt; <B>map</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>ch.javasoft.xml.config</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="ch.javasoft.xml.config.MissingReferableException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/xml/config/MissingReferableException.html" title="class in ch.javasoft.xml.config">ch.javasoft.xml.config.MissingReferableException</A> extends <A HREF="ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mReferable</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>mReferable</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.xml.config.XmlArgException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/xml/config/XmlArgException.html" title="class in ch.javasoft.xml.config">ch.javasoft.xml.config.XmlArgException</A> extends <A HREF="ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mOption</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>mOption</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
mArgIndex</H3>
<PRE>
int <B>mArgIndex</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="ch.javasoft.xml.config.XmlConfigException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">ch.javasoft.xml.config.XmlConfigException</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Exception.html" title="class or interface in java.lang">Exception</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mPath</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>mPath</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>com.jmatio.io</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="com.jmatio.io.MatlabIOException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/jmatio/io/MatlabIOException.html" title="class in com.jmatio.io">com.jmatio.io.MatlabIOException</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?serialized-form.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="serialized-form.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
